> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Courier Serviceability

> Check Courier Serviceability



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /shipping/serviceability
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /shipping/serviceability:
    parameters: []
    post:
      tags:
        - Shipping
      summary: Courier Serviceability
      description: Check Courier Serviceability
      operationId: check-shipping-serviceability
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - delivery_pincode
                - total_weight
              properties:
                delivery_pincode:
                  type: string
                total_weight:
                  type: number
                length:
                  type: integer
                breadth:
                  type: integer
                height:
                  type: integer
                warehouse_id:
                  description: warehouse id
                  type: string
                shipping_option:
                  enum:
                    - auto
                    - manual
                shipping_provider_id:
                  description: to check serviceability using particular shipping provider.
                  type: string
                mode:
                  enum:
                    - SURFACE
                    - AIR
                    - ALL
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      is_serviceable:
                        type: boolean
                      shipping_options:
                        type: array
                        items:
                          type: object
                          properties:
                            warehouse_id:
                              type: string
                            warehouse_name:
                              type: string
                            warehouse_pincode:
                              type: string
                            shipping_methods:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  shipping_type:
                                    enum:
                                      - auto
                                      - manual
                                  shipping_amount:
                                    description: >-
                                      shipment amount of recommended courier, or
                                      range of shipment amount - (lowest to
                                      highest).
                                    type: string
                                  estimated_delivery_days:
                                    description: >-
                                      estimated delivery days of recommended
                                      courier, or range of estimated delivery
                                      days - (lowest to highest).
                                    type:
                                      - integer
                                      - string
                                      - 'null'
                                  courier_companies:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                        name:
                                          type: string
                                        shipping_amount:
                                          type: number
                                        estimated_delivery_days:
                                          type:
                                            - integer
                                            - string
                                            - 'null'
                                        is_recommended:
                                          type: boolean
                                        is_surface:
                                          type: boolean
                                        is_hyperlocal:
                                          type: boolean
                                        rating:
                                          type: number
                    type: object
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````